## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate libheif-sys

Name:           rust-libheif-sys
Version:        1.16.1
Release:        %autorelease
Summary:        Libheif bindings

License:        MIT
URL:            https://crates.io/crates/libheif-sys
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * don't use vcpkg for finding libheif
# * downgrade required bindgen version to match what Fedora has
Patch:          libheif-sys-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Libheif bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libheif) >= 1.14

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "use-bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+use-bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(libheif) >= 1.14'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
# tests fail on i686
%ifnarch %{ix86}
%check
%cargo_test
%endif
%endif

%changelog
* Wed Aug 23 2023 Kalev Lember <klember@redhat.com> - 1.16.1-1
- Initial Fedora packaging
